Subject: Re: Bug in od, cat, etc reading binary files
From: [email-masked] (Mikey)

25 Sep 1997 06:51:57 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: [email-masked]

On Thu, 25 Sep 97 17:37:37 est, you wrote:

>
>I want to add my comments to the above thread:
>
>>Questions: How do I do these in the GNU-Win32 world? How do I:
>>    * set the analog of MSVC++5.0's _fmode
>>    * call the analog of MSVC++5.0's int _setmode(int handle, int mode)
>
>Some time back I posted a request with the same questions under "text&binary
>modes" and had no replies.
>
>It seems to me that if one wants to port software into the NT environment
>then one has no choice but to run the normal way NT programs do (without

A. We are not porting to NT, we are porting to the cygwin32 API
B. Most Un*x tools expect Binary IO, mounting without -b will break many configure scripts

>the -b mount flag) otherwise your text files will confuse NT programs.
>The binary mount is pretty useless: why would one want to run in your
>own UNIX world on top of NT when the performance was so poor?

C. Posix compliance has not yet been completed, so of course performance hasn't been optimized
     1st things 1st.

>So the only real use for software like gnuwin32 is to move stuff over -
>and then one is left with "When in Rome...."
>If M$ need _setmode() the gnuwin32 does too otherwise there are things that
>you just can't do - mainly fixing stdin/stdout/stderr and pipes because
>you were given them in the wrong mode.
>
>Have I got this wrong???

D. Yes

>
>Thanks, Eric Mills.
>-
>For help on using this list (especially unsubscribing), send a message to
>"[email-masked]" with one line of text: "help".
>

([email-masked])
delete REMOVETHIS from the above to reply
         Mikey
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".